Bug 493933 - S-c-tools cleanup: port to PolicyKit
S-c-tools cleanup: port to PolicyKit
Status: CLOSED DUPLICATE of bug 502803
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493621
  Show dependency treegraph
 
Reported: 2009-04-03 06:39 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-28 09:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roman Rakus 2009-04-03 06:39:01 EDT
Description of problem:
It's not a good approach to let system config tool runn
under superuser account - it's a security risk. Instead
each tools which needs users privileges should be divided
to two parts - one which serves as privileged backend
running on demand and user interface that can ask for
privileged action over message bus (and ask password if 
needed). Once action is approved by PolicyKit, it can be
processed.

Every tool should be ported to use PolicyKit.

How reproducible:
Steps to Reproduce

Actual results:
System config tool has to be run under superuser account.

Expected results
System config tool is not runned under superuser account
and asks for privileged access. 

Additional info
Look at https://fedorahosted.org/python-slip/
Comment 1 Daniel Walsh 2009-10-28 09:04:27 EDT

*** This bug has been marked as a duplicate of bug 502803 ***

Note You need to log in before you can comment on or make changes to this bug.